BaseVisitor (Groovy 5.0.6)

Package: org.apache.groovy.contracts.ast.visitor

## [Java] Class BaseVisitor

- org.apache.groovy.contracts.ast.visitor.BaseVisitor

-     public abstract class BaseVisitor
      extends ClassCodeVisitorSupport

  Base class for ClassCodeVisitorSupport descendants. This class is used in groovy-contracts as root class for all code visitors directly used by global AST transformations.

  See Also:
    ClassCodeVisitorSupport

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `GCONTRACTS_ENABLED_VAR` |
    `protected SourceUnit` | `sourceUnit` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BaseVisitor(SourceUnit sourceUnit, ReaderSource source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static BooleanExpression` | `asConditionExecution(AnnotationNode annotation)`
    `` | `protected static ClosureExpression` | `getOriginalCondition(AnnotationNode annotation)`
    `` | `protected static Expression` | `getReplacedCondition(AnnotationNode annotation)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `protected static void` | `replaceCondition(AnnotationNode node, Expression expr)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Field Detail

    - #### public static final String GCONTRACTS_ENABLED_VAR

    - #### protected final SourceUnit sourceUnit

  - ### Constructor Detail

    - #### public BaseVisitor(SourceUnit sourceUnit, ReaderSource source)

  - ### Method Detail

    - #### public static BooleanExpression asConditionExecution(AnnotationNode annotation)

    - #### protected static ClosureExpression getOriginalCondition(AnnotationNode annotation)

    - #### protected static Expression getReplacedCondition(AnnotationNode annotation)

    - #### @Override
      protected SourceUnit getSourceUnit()

    - #### protected static void replaceCondition(AnnotationNode node, Expression expr)